# Functions for stack memory management
#
# Copyright (C) 2012, 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

OB_LF='
'

_ob_abort()
{
	printf 'Aborted\n'
	kill -s ABRT 0
	exit 1  # Should never be reached, but just in case
}

_ob_validate_var_name()
{
	local name="${1}"
	shift 1 || _ob_abort

	case "${name}" in
		''|[!a-zA-Z_]*|*[!a-zA-Z0-9_]*)
			return 1
			;;
	esac
	return 0
}
