# Tests for ob_get_binary_parameter()
#
# Copyright (C) 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_SRCDIR}/tests/aux/common.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"

plan_ 5

command_ok_ 'ob_init_package()' -- ob_init_package '..'

is 'foo Architecture' \
	"$(ob_get_binary_parameter 'foo' 'Architecture')" 'any-linux-any'
is 'foo Platform' \
	"$(ob_get_binary_parameter 'foo' 'Platform')" 'all'
is 'bar Architecture' \
	"$(ob_get_binary_parameter 'bar' 'Architecture')" 'all'
is 'bar Platform' \
	"$(ob_get_binary_parameter 'bar' 'Platform')" 'all'
